| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions
Tp::StreamTubeServer::RemoteContact Class Reference

The StreamTubeServer::RemoteContact class represents a contact from which a socket connection to our exported socket originates. More...

`#include <TelepathyQt/StreamTubeServer>`

List of all members.

## Public Member Functions

- RemoteContact ()
- RemoteContact (const AccountPtr &account, const ContactPtr &contact)
- RemoteContact (const RemoteContact &other)
- ~RemoteContact ()
- bool isValid () const
- RemoteContact & operator= (const RemoteContact &other)
- const AccountPtr & account () const
- const ContactPtr & contact () const

## Detailed Description

The StreamTubeServer::RemoteContact class represents a contact from which a socket connection to our exported socket originates.

## Constructor & Destructor Documentation

Tp::StreamTubeServer::RemoteContact::RemoteContact | ( |  | ) |

Constructs a new invalid RemoteContact instance.

Tp::StreamTubeServer::RemoteContact::RemoteContact | ( | const AccountPtr & | account,
|  | const ContactPtr & | contact
| ) |  |

Constructs a new RemoteContact for the given contact object from the given account.

Parameters:

  account | A pointer to the account which this contact can be reached through.
  contact | A pointer to the contact object.

Tp::StreamTubeServer::RemoteContact::RemoteContact | ( | const RemoteContact & | other | ) |

Copy constructor.

Tp::StreamTubeServer::RemoteContact::~RemoteContact | ( |  | ) |

Class destructor.

## Member Function Documentation

bool Tp::StreamTubeServer::RemoteContact::isValid | ( |  | ) | const`[inline]`

Return whether or not the contact is valid or is just the null object created using the default constructor.

Returns:
  `true` if valid, `false` otherwise.

StreamTubeServer::RemoteContact & Tp::StreamTubeServer::RemoteContact::operator= | ( | const RemoteContact & | other | ) |

Assignment operator.

AccountPtr Tp::StreamTubeServer::RemoteContact::account | ( |  | ) | const`[inline]`

Return the account through which the contact can be reached.

Returns:
  A pointer to the account object.

ContactPtr Tp::StreamTubeServer::RemoteContact::contact | ( |  | ) | const`[inline]`

Return the actual contact object.

Returns:
  A pointer to the object.